<% if (section === 'css') { %>
<style>
  .page[page=scoreboard] {
    display: flex;
    flex-direction: column;
    text-align: center;
    height: calc(100% - 64px);
    background-color: <%= colors.watervlo_blue %>;
    color: <%= colors.watervlo_yellow %>;
  }

  .scoreboard-row {
    flex: 1;
    display: flex;
  }

  .scoreboard-item {
    flex: 1;
    border: 1px solid black;
  }

  .scoreboard-button {
    cursor: pointer;
    user-select: none;
  }

  #scoreboard-score-home,
  #scoreboard-score-away,
  #scoreboard-period {
    flex: 0.25;
  }

  .scoreboard-time-container {
    display: flex;
    flex-direction: column;
  }

  .scoreboard-time {
    flex: 1;
  }

  .scoreboard-switch {
    flex: 3;
  }

  .scoreboard-home-row {
    background-color: <%= colors.home_background %>;
    color: <%= colors.home_text %>;
  }

  .scoreboard-away-row {
    background-color: <%= colors.away_background %>;
    color: <%= colors.away_text %>;
  }

  .scoreboard-reset-button {
    background-color: <%= colors.reset_background %>;
  }

  #scoreboard-period-time {
    text-align: center;
  }
</style>
<% } %>

<% if (section === 'html') { %>
<div class="page" page="scoreboard">
  <!-- Home row -->
  <div class="scoreboard-row scoreboard-home-row">
    <div class="scoreboard-item text-fit scoreboard-button" onclick="connection.sendCommand('scoreboard', 'homeMin')">Thuis-1</div>
    <div id="scoreboard-score-home" class="scoreboard-item text-fit"></div>
    <div class="scoreboard-item text-fit scoreboard-button" onclick="connection.sendCommand('scoreboard', 'homePlus')">Thuis+1</div>
  </div>

  <!-- Away row -->
  <div class="scoreboard-row scoreboard-away-row">
    <div class="scoreboard-item text-fit scoreboard-button" onclick="connection.sendCommand('scoreboard', 'awayMin')">Uit-1</div>
    <div id="scoreboard-score-away" class="scoreboard-item text-fit"></div>
    <div class="scoreboard-item text-fit scoreboard-button" onclick="connection.sendCommand('scoreboard', 'awayPlus')">Uit+1</div>
  </div>

  <!-- Shotclock row -->
  <div class="scoreboard-row">
    <div class="scoreboard-item text-fit scoreboard-reset-button scoreboard-button" onclick="connection.sendCommand('scoreboard', 'shotclockSetTime', { time: 20 })">Reset 20</div>
    <div class="scoreboard-item scoreboard-time-container">
      <div class="scoreboard-time text-fit">Schotklok</div>
      <div id="scoreboard-shotclock-time" class="scoreboard-time text-fit"></div>
      <div class="scoreboard-switch switch" onclick="connection.sendCommand('scoreboard', 'shotclockToggle')">
        <input id="scoreboard-shotclock-switch" type="checkbox">
        <div class="switch-slider"></div>
        <span class="switch-off-text text-fit">Stop</span>
        <span class="switch-on-text text-fit">Start</span>
        <div class="switch-background is-time-toggle"></div>
      </div>
    </div>
    <div class="scoreboard-item text-fit scoreboard-reset-button scoreboard-button" onclick="connection.sendCommand('scoreboard', 'shotclockSetTime', { time: 30 })">Reset 30</div>
  </div>

  <!-- Period row -->
  <div class="scoreboard-row">
    <div class="scoreboard-item text-fit scoreboard-button" onclick="connection.sendCommand('scoreboard', 'periodMin')">Periode-1</div>
    <div id="scoreboard-period" class="scoreboard-item text-fit"></div>
    <div class="scoreboard-item text-fit scoreboard-button" onclick="connection.sendCommand('scoreboard', 'periodPlus')">Periode+1</div>
  </div>

  <!-- Period clock / Reset row -->
  <div class="scoreboard-row">
    <div class="scoreboard-item text-fit scoreboard-reset-button scoreboard-button" onclick="resetScoreboard()">Reset alles</div>
    <div class="scoreboard-item scoreboard-time-container">
      <div class="scoreboard-time text-fit">Periode</div>
      <div id="scoreboard-periodclock-time" class="scoreboard-time text-fit"></div>
      <div class="scoreboard-switch switch" onclick="connection.sendCommand('scoreboard', 'periodclockToggle')">
        <input id="scoreboard-periodclock-switch" type="checkbox">
        <div class="switch-slider"></div>
        <span class="switch-off-text text-fit">Stop</span>
        <span class="switch-on-text text-fit">Start</span>
        <div class="switch-background is-time-toggle"></div>
      </div>
    </div>
    <div class="scoreboard-item text-fit">
      <div>Periode tijd</div>
      <input id="scoreboard-period-time" class="watervlo-yellow-text" type="number" min="0" max="60" step="1" pattern="[0-9]*">
      <a class="btn waves-effect" onclick="connection.sendCommand('scoreboard', 'periodclockSetTime', { time: document.getElementById('scoreboard-period-time').value })">Update periode tijd</a>
    </div>
  </div>
</div>
<% } %>

<% if (section === 'js') { %>
<script>
  const scoreboardShotclock = new Timer(100, 'down', (time) => {
    document.getElementById('scoreboard-shotclock-time').innerHTML = (Math.round(time * 10) / 10).toFixed(1)

    fitText(document.getElementById('scoreboard-shotclock-time'))
  })

  const scoreboardPeriodclock = new Timer(1000, 'down', (time) => {
    document.getElementById('scoreboard-periodclock-time').innerHTML = `${Math.floor(time / 60)}:${(time % 60).pad(2)}`

    fitText(document.getElementById('scoreboard-periodclock-time'))
  },
  (time) => {
    return time > scoreboardShotclock.time
  })

  registerCommand('scoreboard', 'data', (data) => {
    document.getElementById('scoreboard-score-home').innerHTML = data.home
    document.getElementById('scoreboard-score-away').innerHTML = data.away
    document.getElementById('scoreboard-period').innerHTML = data.period
    document.getElementById('scoreboard-period-time').value = data.periodTime

    fitText(document.querySelectorAll('.page[page=scoreboard] .text-fit'))
  })

  registerCommand('scoreboard', 'periodclockTime', (data) => {
    scoreboardPeriodclock.setTime(data.time)

    if (data.running) {
      scoreboardPeriodclock.start()
    } else {
      scoreboardPeriodclock.stop()
    }

    document.getElementById('scoreboard-periodclock-switch').checked = data.running
  })

  registerCommand('scoreboard', 'shotclockTime', (data) => {
    scoreboardShotclock.setTime(data.time)

    if (data.running) {
      scoreboardShotclock.start()
    } else {
      scoreboardShotclock.stop()
    }

    document.getElementById('scoreboard-shotclock-switch').checked = data.running
  })

  function resetScoreboard() {
    if (confirm("Wil je alles resetten?")) {
      connection.sendCommand('scoreboard', 'resetAll')
    }
  }
</script>
<% } %>
